Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxweb
Class GetTableStep

    java.lang.Object
      |
      +--net.sourceforge.jxweb.HttpStep
            |
            +--net.sourceforge.jxweb.GetTableStep

All Implemented Interfaces:
  JXTestStep

public class GetTableStep
extends HttpStep

Field Summary
`String` | `id` The id to match a `WebTable` with.
`String` | `index` The index (0-based) to get a specific `WebTable`.
`boolean` | `indirect` Standard 'indirect' boolean flag
`String` | `name` The name to store the `WebTable` with in the test props
`String` | `prefix` The prefix to match a `WebTable` with.
`String` | `respName` Name to lookup `WebResponse` in test props with
`String` | `startsWith` The starting `String` to match a `WebTable` with.
`String` | `summary` The summary to match a `WebTable` with.

Fields inherited from class net.sourceforge.jxweb.HttpStep
`properties, testCase, webConversation, webConversationName`

Constructor Summary
`GetTableStep()`

Method Summary
`void` | `eval(JXTestCase testCase)` Overrides parent `eval()` method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    public String index

  The index (0-based) to get a specific `WebTable`. Optional

### startsWith

    public String startsWith

  The starting `String` to match a `WebTable` with. Optional

### prefix

    public String prefix

  The prefix to match a `WebTable` with. Optional

### id

    public String id

  The id to match a `WebTable` with. Optional

### summary

    public String summary

  The summary to match a `WebTable` with. Optional.

### respName

    public String respName

  Name to lookup `WebResponse` in test props with

### name

    public String name

  The name to store the `WebTable` with in the test props

### indirect

    public boolean indirect

  Standard 'indirect' boolean flag

Constructor Detail

### GetTableStep

    public GetTableStep()

Method Detail

### eval

    public void eval(JXTestCase testCase)
              throws Throwable

  Overrides parent `eval()` method
  Overrides:
    `eval` in class `HttpStep`
  Parameters:
    `testCase` -
  Throws:
    `Throwable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD